Subject: RE: DHCP-DISCOVER on new subnet

From: Steve Gonczi <[email-masked]>
Date: Sat, 8 Apr 2000 16:48:18 -0400

The RFC is unclear on this point, but it makes no sense to perpetuate an
address that is inappropriate for
the subnet where  the client is.

For the first 3 pargrapsh you are quoting, the RFC it should make it clear 
it  assumes  that the stored/ requested address is on the 'correct' subnet. 

IMHO Anyt server that does not deal with this issue, is bkoken.

/sG
>       o The client's current address as recorded in the client's current
>         binding, ELSE
> 
>       o The client's previous address as recorded in the client's (now
>         expired or released) binding, if that address is in the server's
>         pool of available addresses and not already allocated, ELSE
> 
>       o The address requested in the 'Requested IP Address' option, if
> that
>         address is valid and not already allocated, ELSE
> 
>       o A new address allocated from the server's pool of available
>         addresses; the address is selected based on the subnet from which
>         the message was received (if 'giaddr' is 0) or on the address of
>         the relay agent that forwarded the message ('giaddr' when not 0).
> 
>